// PayCardsRecognizerResultMode
declare const PayCardsRecognizerResultModeSync: number;
declare const PayCardsRecognizerResultModeAsync: number;

// PayCardsRecognizerDataModeNone
declare const PayCardsRecognizerDataModeNone: number;
declare const PayCardsRecognizerDataModeNumber: number;
declare const PayCardsRecognizerDataModeDate: number;
declare const PayCardsRecognizerDataModeName: number;
declare const PayCardsRecognizerDataModeGrabCardImag: number;

declare interface PayCardsRecognizerPlatformDelegate extends NSObjectProtocol {
    payCardsRecognizerDidRecognize (recognizer: PayCardsRecognizer, result: any): void;
}

declare var PayCardsRecognizerPlatformDelegate: {
    prototype: PayCardsRecognizerPlatformDelegate;
};

declare class PayCardsRecognizer {
    static alloc() : PayCardsRecognizer;

    initWithDelegateRecognizerModeResultModeContainerFrameColor(delegate: PayCardsRecognizerPlatformDelegate, recognizerMode:any , resultMode: any, container: UIView, frameColor: UIColor) : PayCardsRecognizer;

    initWithDelegateResultModeContainerFrameColor(delegate: PayCardsRecognizerPlatformDelegate,resultMode: any, container: UIView, frameColor: UIColor): PayCardsRecognizer;

    startCamera() : void;

    startCameraWithOrientation(orientation: UIInterfaceOrientation) : void;
    
    stopCamera() : void;
    
    pauseRecognizer() : void;
    
    resumeRecognizer() : void;
    
    setOrientation(orientation: UIInterfaceOrientation);
    
    turnTorchOnWithValue(value: boolean);
}