"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Card = (function () {
    function Card() {
        this.number = null;
        this.holder = null;
        this.exp_month = null;
        this.exp_year = null;
    }
    Card.fromAndroidIntent = function (intentResult) {
        var card = new Card();
        card.number = intentResult.getCardNumber();
        card.holder = intentResult.getCardHolderName();
        var expiration = intentResult.getExpirationDate();
        if (expiration) {
            var _a = expiration.split('/'), month = _a[0], year = _a[1];
            card.exp_month = month;
            card.exp_year = year;
        }
        return card;
    };
    Card.fromIOSResult = function (result) {
        var card = new Card();
        card.number = result.recognizedNumber;
        card.holder = result.recognizedHolderName;
        card.exp_month = result.recognizedExpireDateMonth;
        card.exp_year = result.recognizedExpireDateYear;
        return card;
    };
    return Card;
}());
exports.Card = Card;
//# sourceMappingURL=paycards-recognizer.common.js.map